from collections.abc import MutableMapping

class JawafObject(MutableMapping):
    """Wrapper class for dict in case we want to do anything fancy down the line."""

    def __init__(self, row):
        self._storage = dict()

    def __delitem__(self, key):
        del self._storage[key]

    def __getattr__(self, name):
        return self._storage[name]

    def __getitem__(self, key):
        return self._storage[key]

    def __iter__(self):
        return iter(self._storage)

    def __len__(self):
        return len(self._storage)

    def __setitem__(self, key, value):
        self._storage[key] = value

